Subject: Re[2]: PPP encryption documents

From: [email-masked]
Date: Thu, 25 Jun 98 15:23:40 -0500

Philip,
     
     Even if they don't crack your DES key, can't they inject packets in a 
     denial of service attack?  If you fail to decrypt the injected packet, 
     you discard that one as well as the next good one.  Meanwhile, you're 
     expending MIPs decrypting.  If memory serves me (always questionable), 
     one of the reasons for adding authentication to ESP was for such 
     attacks.  ESP Authentication is much faster than decryption.
     
     Bill

______________________________ Reply Separator _________________________________
Subject: Re: PPP encryption documents
Author:  Karl Fox <[email-masked]> at internet-mail
Date:    6/25/98 3:11 PM

Philip Rakity <[email-masked]> writes:
> We run RFC1669 PPP DES Encryption over a L2TP link to provide security
            ^^^^1969
> between the LAC (eg our L2TP Client) and the LNS.  The encrypted tunnel is 
> created between us and the LNS and is not visible to the ISP, and the
> link is secured between the LAC and the ISP since it is encrypted. 
> 
> The security of the encrypted link depends upon the ablility to break DES 
> and the ability to break the MD5 hash for CHAP
     
Are you sure about this?  If someone cracks your DES key but not the 
CHAP MD5 key, can't they inject encrypted packets into your L2TP 
stream?
-- 
Karl Fox, servant of God, employee of Ascend Communications
655 Metro Place South, Suite 370, Dublin, Ohio  43017   +1 614 760 4041

---

From: Philip Rakity <[email-masked]>
Date: Thu, 25 Jun 1998 13:02:41 -0700 (PDT)

Bill,

You are correct.  If one argues that a packet can be injected (correct
sequence number, etc) then a denial of service attack is possible.  One
can also do the samething against IPSec by flooding IP packets.

Philip